# PetscBarrier

Blocks until this routine is executed by all processors owning the object A.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscBarrier(PetscObject obj)

### Input Parameters

A -PETSc object (Mat, Vec, IS, SNES etc...) Must be caste with a (PetscObject), can use PETSC_NULL (for MPI_COMM_WORLD)

### Notes

This routine calls MPI_Barrier with the communicator of the PETSc Object "A".

With fortran Use PETSC_NULL_OBJECT (instead of PETSC_NULL)

Level:intermediate
Location: src/sys/utils/pbarrier.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex13.c.html
src/snes/examples/tutorials/ex5s.c.html